> ## Documentation Index
> Fetch the complete documentation index at: https://docs.undrctrl.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Description

> Retrieve a list of available services along with their details and descriptions.



## OpenAPI

````yaml api-services-description GET /services/
openapi: 3.0.0
info:
  title: UNDRCTRL API
  description: List of all available APIs that can be consumed
  version: 1.0.0
servers:
  - url: https://undr.sh/items
    description: Production server
security: []
paths:
  /services/:
    get:
      summary: Get Services List with Description
      description: >-
        Retrieve a list of available services along with their details and
        descriptions.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    service:
                      type: string
                      example: '1'
                    name:
                      type: string
                      example: Followers
                    type:
                      type: string
                      example: Default
                    category:
                      type: string
                      example: First Category
                    average:
                      type: string
                      example: 23 minutes
                    description:
                      type: string
                      example: Example description
                    rate:
                      type: string
                      example: '0.90'
                    min:
                      type: string
                      example: '50'
                    max:
                      type: string
                      example: '10000'
                    refill:
                      type: boolean
                      example: true
                    cancel:
                      type: boolean
                      example: true
                    dripfeed:
                      type: boolean
                      example: false
        '204':
          description: No Content
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: No services found
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Incorrect request

````